
#
# Those settings are specific to COLIBRI, not django
#
# They are stored in a different file than settings.py, so that they can be
# included without python loading the whole django
#

from os.path import dirname, abspath, join
rwdir = join(dirname( abspath( __file__)), 'rw')

ARCHIVE_DIR = join(rwdir, "archives/")
REJECT_DIR = join(rwdir, "rejected/")
BOUNCED_DIR = join(rwdir, "bounced/")

INCOMING_DIR = join(rwdir, "incoming")

ALLOW_USER_TO_REQUEST_NEW_LIST = True
USE_TOPICS = True

# vim: ai ts=4 sts=4 et sw=4
