#
# -*- coding: utf-8
# vim: set fileencoding=utf-8

# system
from random import choice

all_chars      = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789'
password_chars = 'abcdefghjkmnpqrstuvwxyzABCDEFGHJKLMNPQRSTUVWXYZ23456789'
def create_random_string(length=20, allowed_chars=all_chars):
    return ''.join([choice(allowed_chars) for i in range(length)])

def make_random_password(length=10, allowed_chars=password_chars):
    return create_random_string(length, password_chars) 

# vim: ai ts=4 sts=4 et sw=4
