from django.urls import include, re_path
from django.views.generic.base import TemplateView

from registration.backends.simple.views import RegistrationView


urlpatterns = (
    re_path(r'^register/$',
        RegistrationView.as_view(),
        name='registration_register'),
    re_path(r'^register/closed/$',
        TemplateView.as_view(template_name='registration/registration_closed.html'),
        name='registration_disallowed'),
    re_path(r'', include('registration.auth_urls')),
)
